package com.hwrj.cloud.admin.service.impl;

import com.hwrj.cloud.admin.dao.BigScreamDao;
import com.hwrj.cloud.admin.service.BigScreamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class BigScreamServiceImpl implements BigScreamService {
    @Autowired
    private BigScreamDao bigScreamDao;


    @Override
    public Map<String, Object> data1(Long id) {
        Map<String, Object> map = bigScreamDao.data1(id);
        return map;
    }

    @Override
    public List<Map<String, Object>> date2(String compType) {

        return bigScreamDao.data2(compType);
    }

    @Override
    public Map<String, Object> data3() {
        return null;
    }

    @Override
    public List<Map<String,Object>> data4() {
        return bigScreamDao.data4();
    }

    @Override
    public List<String> data6() {
        List<String> strings = bigScreamDao.data6();
        return strings;
    }

    @Override
    public List<String> data7() {
        List<String> strings = bigScreamDao.data7();

        return strings;
    }

    @Override
    public List<String> data8() {
        return bigScreamDao.data8();
    }

    @Override
    public List<String> data9() {
        return bigScreamDao.data9();
    }
}
